- Create a backup of etcd
- Restore the etcd backup
- Create a deployment with replicas
- Update the deployment
- Look at deployment history and rollback the deployment
- Install a cluster with kubeadm
- Upgrade the cluster to the latest kubernetes version
- Create a service account and bind it to a role
- Create a config map with some values
- Create secrets
- Label a deployment
- Annotate a deployment
- Install a network policy on the cluster
- Create a persistent volume
- Create a persistent volume claim
- Create a deployment that uses this claim
- Configure a NodePort service
- Configure an ingress service
- Read how to troubleshoot problems
- Create an init container
